## org.apache.mahout.utils.clustering
Class GraphMLClusterWriter

    java.lang.Object
      org.apache.mahout.utils.clustering.AbstractClusterWriter
          org.apache.mahout.utils.clustering.GraphMLClusterWriter

All Implemented Interfaces:
  Closeable, ClusterWriter

    public class GraphMLClusterWriter

extends AbstractClusterWriter

GraphML -- see http://gephi.org/users/supported-graph-formats/graphml-format/

Field Summary

Fields inherited from class org.apache.mahout.utils.clustering.AbstractClusterWriter
`clusterIdToPoints, measure, writer`

Constructor Summary
`GraphMLClusterWriter(Writer writer, Map<Integer,List<WeightedPropertyVectorWritable>> clusterIdToPoints, DistanceMeasure measure, int numTopFeatures, String[] dictionary, int subString)`

Method Summary
`void` `close()`
`void` `write(ClusterWritable clusterWritable)` Write out a Cluster

Methods inherited from class org.apache.mahout.utils.clustering.AbstractClusterWriter
`getClusterIdToPoints, getTopFeatures, getTopTerms, getWriter, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphMLClusterWriter

    public GraphMLClusterWriter(Writer writer,
                                Map<Integer,List<WeightedPropertyVectorWritable>> clusterIdToPoints,
                                DistanceMeasure measure,
                                int numTopFeatures,
                                String[] dictionary,
                                int subString)
                         throws IOException

Throws:
  `IOException`

Method Detail

### write

    public void write(ClusterWritable clusterWritable)
               throws IOException

  Description copied from interface: `ClusterWriter`
  Write out a Cluster

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `AbstractClusterWriter`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.